tan:
  parameter_names_with_default_values:
    DTYPE: float
    STORAGE: texture3d
  generate_variant_forall:
    DTYPE:
      - VALUE: half
      - VALUE: float
    STORAGE:
      - VALUE: texture3d
      - VALUE: buffer
  shader_variants:
    - NAME: tan
